﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using INT_PT002.DataStore;

namespace INT_PT002.DialogForms
{
    public partial class DialogFormYesNo : Form
    {
        #region Field

        #endregion

        #region Constructor
        public DialogFormYesNo()
        {
            InitializeComponent();
        }

        public DialogFormYesNo(Define.E_LanguageID language, int ok)
        {
            InitializeComponent();

            if (language == Define.E_LanguageID.Korean)
            {
                this.buttonYes.Text = "Yes";
                this.buttonNo.Text = "No";

                #region 한글
                switch (ok)
                {
                    case 1:
                        this.smartGroupBox1.Text = "";
                        this.labelMessage1.Text = "예전 DLL로 되돌리시겠습니까?";
                        break;
                    case 2:
                        this.smartGroupBox1.Text = "";
                        this.labelMessage1.Text = "언어를 변경하시겠습니까?";
                        break;
                    case 3:
                        this.smartGroupBox1.Text = "업데이트";
                        this.labelMessage1.Text = "새 버전으로 업데이트하시겠습니까?";
                        break;
                    case 4:
                        this.smartGroupBox1.Text = "스타일러스";
                        this.labelMessage1.Text = "화면 보정을 실행하시겠습니까?";
                        break;
                    case 5:
                        this.smartGroupBox1.Text = "공장초기화";
                        this.labelMessage1.Text = "설정된 모든 데이터가 초기화됩니다.";
                        break;
                    case 6:
                        this.smartGroupBox1.Text = "LCD초기화";
                        this.labelMessage1.Text = "LCD에 설정된 데이터가 초기화됩니다.";
                        break;
                    case 7:
                        this.smartGroupBox1.Text = "메인보드초기화";
                        this.labelMessage1.Text = "메인보드에 설정된 데이터가 초기화됩니다.";
                        break;
                    case 8:
                        this.smartGroupBox1.Text = "소거";
                        this.labelMessage1.Text = "현재 품번 카운트 데이터를 소거 하시겠습니까?";
                        break;
                    case 9:
                        this.smartGroupBox1.Text = "모터 다운로드";
                        this.labelMessage1.Text = "현재 값을 다운로드 하시겠습니까?";
                        break;
                    case 10:
                        this.smartGroupBox1.Text = "모터 다운로드";
                        this.labelMessage1.Text = "새 모터에 다운로드 하시겠습니까?";
                        break;
                    case 11:
                        this.smartGroupBox1.Text = "모터 다운로드";
                        this.labelMessage1.Text = "현재 라인번호로 변경하시겠습니까?";
                        break;
                    case 12:
                        this.smartGroupBox1.Text = "로그인";
                        this.labelMessage1.Text = "Log Off 하시겠습니까?";
                        break;
                    case 13:
                        this.smartGroupBox1.Text = "로그인";
                        this.labelMessage1.Text = "유저 등록 하시겠습니까?";
                        break;
                    case 14:
                        this.smartGroupBox1.Text = "로그인";
                        this.labelMessage1.Text = "유저 삭제 하시겠습니까?";
                        break;
                    case 15:
                        this.smartGroupBox1.Text = "로그인";
                        this.labelMessage1.Text = "로그인 기능을 사용하시겠습니까?";
                        break;
                    case 16:
                        this.smartGroupBox1.Text = "로그인";
                        this.labelMessage1.Text = "로그인 기능을 사용을 중지하시겠습니까?";
                        break;
                    case 17:
                        this.smartGroupBox1.Text = "바코드";
                        this.labelMessage1.Text = "바코드 기능을 사용하시겠습니까?";
                        break;
                    case 18:
                        this.smartGroupBox1.Text = "바코드";
                        this.labelMessage1.Text = "바코드 기능 사용을 중지하시겠습니까?";
                        break;
                    case 19:
                        this.smartGroupBox1.Text = "소거";
                        this.labelMessage1.Text = "전체 품번 카운트 데이터를 소거 하시겠습니까?";
                        break;
                    case 20:
                        this.smartGroupBox1.Text = "초기화";
                        this.labelMessage1.Text = "카운터출력 카운트 데이터를 소거 하시겠습니까?";
                        break;
                    case 21:
                        this.smartGroupBox1.Text = "이더넷";
                        this.labelMessage1.Text = "로컬IP주소 수동으로 설정하시겠습니까?";
                        break;
                    case 22:
                        this.smartGroupBox1.Text = "이더넷";
                        this.labelMessage1.Text = "로컬IP주소 자동으로 설정하시겠습니까?";
                        break;
                    case 23:
                        this.smartGroupBox1.Text = "백업";
                        this.labelMessage1.Text = "현재 데이터를 백업하시겠습니까?";
                        break;
                    case 24:
                        this.smartGroupBox1.Text = "랜덤모드 설정값 초기화";
                        this.labelMessage1.Text = "소수점을 변경하면 랜덤모드 설정값이 초기화됩니다.";
                        this.labelMessage2.Text = "소수점을 변경하시겠습니까?";
                        break;
                    case 25:
                        this.smartGroupBox1.Text = "";
                        this.labelMessage1.Text = "기능을 사용하시겠습니까?";
                        this.labelMessage2.Text = "";
                        break;
                    case 26:
                        this.smartGroupBox1.Text = "";
                        this.labelMessage1.Text = "기능 사용을 중지하시겠습니까?";
                        this.labelMessage2.Text = "관련 항목들이 초기화 상태로 변경됩니다.";
                        break;
                    case 27:
                        this.smartGroupBox1.Text = "";
                        this.labelMessage1.Text = "해당 값을 기준값으로 설정하시겠습니까?";
                        this.labelMessage2.Text = "";
                        break;
                    case 28:
                        this.smartGroupBox1.Text = "";
                        this.labelMessage1.Text = "파일을 삭제하시겠습니까?";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        break;
                }
                #endregion
            }
            else if (language == Define.E_LanguageID.English)
            {
                this.buttonYes.Text = "Yes";
                this.buttonNo.Text = "No";

                #region 영문
                switch (ok)
                {
                    case 1:
                        this.smartGroupBox1.Text = "";
                        this.labelMessage1.Text = "Do you want to revert to the previous DLL?";
                        break;
                    case 2:
                        this.smartGroupBox1.Text = "";
                        this.labelMessage1.Text = "Do you change the language?";
                        break;
                    case 3:
                        this.smartGroupBox1.Text = "Update";
                        this.labelMessage1.Text = "Would you like to update?";
                        break;
                    case 4:
                        this.smartGroupBox1.Text = "Stylus";
                        this.labelMessage1.Text = "To re-calibrate the screen, press the YES button.";
                        break;
                    case 5:
                        this.smartGroupBox1.Text = "Initialization";
                        this.labelMessage1.Text = "All datas will be initialized";
                        break;
                    case 6:
                        this.smartGroupBox1.Text = "LCD Initialization";
                        this.labelMessage1.Text = "All datas in LCD will be initialized";
                        break;
                    case 7:
                        this.smartGroupBox1.Text = "Mainboard Initialization";
                        this.labelMessage1.Text = "All datas in Mainboard will be initialized";
                        break;
                    case 8:
                        this.smartGroupBox1.Text = "Initialize";
                        this.labelMessage1.Text = "Do you want to Initialize current data?";
                        break;
                    case 9:
                        this.smartGroupBox1.Text = "Motor download";
                        this.labelMessage1.Text = "Do you want to download the current value?";
                        break;
                    case 10:
                        this.smartGroupBox1.Text = "Motor download";
                        this.labelMessage1.Text = "Do you want to download the new motor?";
                        break;
                    case 11:
                        this.smartGroupBox1.Text = "Motor download";
                        this.labelMessage1.Text = "Do you want to change with the device number to current line?";
                        break;
                    case 12:
                        this.smartGroupBox1.Text = "Login";
                        this.labelMessage1.Text = "Do you want to log out?";
                        break;
                    case 13:
                        this.smartGroupBox1.Text = "Login";
                        this.labelMessage1.Text = "Do you want to register the user?";
                        break;
                    case 14:
                        this.smartGroupBox1.Text = "Login";
                        this.labelMessage1.Text = "Do you want to delete this user?";
                        break;
                    case 15:
                        this.smartGroupBox1.Text = "Login";
                        this.labelMessage1.Text = "Are you sure you want to use the login function?";
                        break;
                    case 16:
                        this.smartGroupBox1.Text = "Login";
                        this.labelMessage1.Text = "Are you sure you want to cancel the login function?";
                        break;
                    case 17:
                        this.smartGroupBox1.Text = "Barcode";
                        this.labelMessage1.Text = "Are you sure you want to use the Barcode function?";
                        break;
                    case 18:
                        this.smartGroupBox1.Text = "Barcode";
                        this.labelMessage1.Text = "Are you sure you want to cancel the Barcode function?";
                        break;
                    case 19:
                        this.smartGroupBox1.Text = "Initialization";
                        this.labelMessage1.Text = "Do you want to Initialize all data?";
                        break;
                    case 20:
                        this.smartGroupBox1.Text = "Initialization";
                        this.labelMessage1.Text = "Do you want to Initalize Counting Output's count data?";
                        break;
                    case 21:
                        this.smartGroupBox1.Text = "Ethernet";
                        this.labelMessage1.Text = "Do you want to set the local IP address static?";
                        break;
                    case 22:
                        this.smartGroupBox1.Text = "Ethernet";
                        this.labelMessage1.Text = "Do you want to set the local IP address to DHCP?";
                        break;
                    case 23:
                        this.smartGroupBox1.Text = "Backup";
                        this.labelMessage1.Text = "Would you like to back up your current data?";
                        break;
                    case 24:
                        this.smartGroupBox1.Text = "Initialize random mode setting";
                        this.labelMessage1.Text = "Changing the decimal point resets the random mode";
                        this.labelMessage2.Text = "settings. Do you want to change the decimal point?";
                        break;
                    case 25:
                        this.smartGroupBox1.Text = "";
                        this.labelMessage1.Text = "Are you sure you want to use the function?";
                        this.labelMessage2.Text = "";
                        break;
                    case 26:
                        this.smartGroupBox1.Text = "";
                        this.labelMessage1.Text = "Are you sure you want to cancel the function?";
                        this.labelMessage2.Text = "Related items will be changed to the initialization state.";
                        break;
                    case 27:
                        this.smartGroupBox1.Text = "";
                        this.labelMessage1.Text = "Do you want to set that value as the 'Pass' value?";
                        this.labelMessage2.Text = "";
                        break;
                    case 28:
                        this.smartGroupBox1.Text = "";
                        this.labelMessage1.Text = "Are you sure you want to delete the file?";
                        this.labelMessage2.Text = "";
                        break;
                    default:
                        break;
                }
                #endregion
            }        
            else
            {
            }
        }
        #endregion

        #region Property

        #endregion

        #region Method
        private void InitializeControl()
        {
            int x = 0, y = 0;

            x = Screen.PrimaryScreen.Bounds.Width / 2 - this.Size.Width / 2;
            y = Screen.PrimaryScreen.Bounds.Height / 2 - this.Size.Height / 2;

            this.Location = new Point(x, y);
        }
        #endregion

        #region Override Member
        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            this.InitializeControl();
        }
        #endregion

        #region Event Handler
        private void buttonYes_Click(object sender, EventArgs e)
        {
            this.Close();

            this.DialogResult = DialogResult.Yes;
        }

        private void buttonNo_Click(object sender, EventArgs e)
        {
            this.Close();

            this.DialogResult = DialogResult.No;
        }
        #endregion
    }
}